<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
  <head>
    <style>
    .cls1 {text-decoration:none;}
    .cls2{text-align:center; font-size:30px;}
    a {
      color: #735645;
      text-decoration: none;
    }
    a:hover {
      color: #3a1d1d;
    }
    .pager {
      margin-top: 10px;
      text-align: center;
    }
    .pager-list>li {
      display: inline-block;
    }
    a.this-page {
      font-weight: bold;
      color: #e9954b;
    }
    .board-header {
      background-color: #3a1d1d;
      color: #f2f2f2;
    }
    </style>
    <meta charset="UTF-8">
    <title>글 목록</title>
  </head>
  <body>
    <table align="center" border="1" width="80%">
      <tr class="board-header" height="10" align="center">
        <td>글번호</td>
        <td>작성자</td>
        <td>제목</td>
        <td>작성일</td>
      </tr>
      <tr th:if="${boardList == null || boardList.size() == 0}" height="10">
        <td colspan="4">
          <p align="center">
            <b><span style="font-size:9pt;">등록된 글이 없습니다.</span></b>
          </p>
        </td>
      </tr>
      <th:block th:if="${boardList != null && boardList.size() > 0}">
        <tr th:each="board : ${boardList}" align="center">
          <td width="5%" th:text="${board.id}"></td>
          <td width="10%" th:text="${board.writer}"></td>
          <td align='left' width="35%">
            <span style="padding-right:10px"></span>
            <th:block th:if="${board.depth > 0}">
              <th:block th:each="i: ${#numbers.sequence(1, board.depth)}">
                <span style="padding-left:10px"></span>
              </th:block>
              <span style="font-size:12px;" th:text="${(board.isDeleted != null && board.isDeleted) ? '[삭제됨]' : '[답변]'}"></span>
            </th:block>
            <a class='cls1' th:if="${board.isDeleted == null || !board.isDeleted}" th:href="${'/board/view?id=' + board.id}" th:text="${board.title}"></a>
            <a class='cls1' th:if="${board.isDeleted != null && board.isDeleted && board.depth == 0}">[삭제됨]</a>
          </td>
          <td width="10%" th:text="${#dates.format(board.regDateTime, 'yy-MM-dd HH:mm')}"></td>
        </tr>
      </th:block>
      </div>
    </table>
    <div class="cls2"><a href="/board/new">글쓰기</a></div>

    <div class="pager">
      <ul class="pager-list">
        <li>
          <a href="?page=1">
            <span>처음</span>
          </a>
        </li>
        <li th:if="${page > pagebarSize}">
          <a th:href="${'?page=' + (pagebarStarNum-1)}">
            <span>이전</span>
          </a>
        </li>
        <li th:each="pageNum : ${#numbers.sequence(pagebarStarNum, pagebarEndNum)}">
          <a th:class="${pageNum == page ? 'this-page' : ''}" th:href="${'?page=' + pageNum}" th:text=${pageNum}></a>
        </li>
        <li th:if="${(pagebarStarNum+pagebarSize) <= lastPageNum}">
          <a th:href="${'?page=' + (pagebarStarNum+pagebarSize)}">
            <span>다음</span>
          </a>
        </li>
        <li>
          <a th:href="${'?page=' + lastPageNum}">
            <span>끝</span>
          </a>
        </li>
      </ul>
    </div>
  </body>
</html>